[NTG-context] location of old ConTeXt versions?

Mojca Miklavec mojca.miklavec.lists at gmail.com
Tue Nov 10 14:33:58 CET 2015


On Tue, Nov 10, 2015 at 2:03 PM, Sanjoy Mahajan <sanjoy at mit.edu> wrote:
> Dear ConTeXters,
>
> In order to correct an embarrassing thinko (wrong units of
> acceleration!) in my book for its next printing, I need to regenerate
> the PDF changing only that one spot.
>
> Thus, I am looking for an old ConTeXt version, 2014.05.17.  The latest
> versions find different page and line breaks. I haven't been able to
> convince them to rediscover the old breaks (which were carefully
> optimized over a few miserable weeks back in 2014).
>
> I have the 2014.05.17 minimal on my old laptop, a i386 32-bit Linux
> laptop (2006 vintage).  I joined the 2010 decade recently and now use
> 64-bit laptop; the 32-bit minimals don't work on it.
>
> The wiki, at
> <http://wiki.contextgarden.net/ConTeXt_Standalone#Reverting_to_an_older_installation>,
> says that the old versions are available at
> <http://minimals.contextgarden.net/current/context/>, where I found only
> the latest versions.
>
> Could you point me to a linux/64-bit minimal for 2014.05.17?  I'll
> update the wiki accordingly. (If the old versions are gone, I'll dig out
> my old laptop and regenerate it that way, or try convincing the laptop
> to use 32-bit executables as well.)

This is slightly suboptimal at the moment.

My suggestion would be the following:
- fetch the latest minimals for 64-bit linux
- remove texmf-context and replace it with the one from your old
machine (alternatively you could fetch that version of ConTeXt from
GIT)
- check which version of LuaTeX you have on the old 32-bit box (it's
probably beta-0.79.1)
- fetch that version from SVN from
    http://svn.contextgarden.net/suite-bin/tex/x86_64-linux
  (if it's that version, just checkout r197)
- you might need to replace mtxrun from the old version (or maybe I
forgot another thing or two)

Everything else should keep working unless some font names changed in
the meantime.

Alternatively start with your old 32-bit tree and just add the
texmf-linux-64 tree from the new installation to it (of course make
sure to replace luatex and potentially other scripts in that tree).

Mojca


More information about the ntg-context mailing list